<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {

        Schema::table('lc_modules', function (Blueprint $table) {
            $table->foreign('work_order_merge_id')->references('id')->on('work_order_merges')->onDelete('set null');
        });
    }

    public function down(): void
    {

        Schema::table('lc_modules', function (Blueprint $table) {
            $table->dropForeign(['work_order_merge_id']);
        });
    }
};
